# $Revision: 1.2 $, $Date: 2005/11/27 16:40:18 $
Summary:	C API for reading and writing PCRaster maps
Summary(pl):	API C do odczytu i zapisu map PCRaster
Name:		libcsf
Version:	2.0
%define	snap	041111
Release:	0.%{snap}.2
License:	BSD
Group:		Libraries
Source0:	http://pcraster.geo.uu.nl/download/dist/%{name}-%{version}-%{snap}.tar.gz
# Source0-md5:	20f60a66ef1df2500fc44c5e8371e26f
Source1:	http://pcraster.geo.uu.nl/download/doc/csfhtml.tar.gz
# Source1-md5:	059ac4a78e04df515e9f9cb411d1eb33
Patch0:		%{name}-shared.patch
Patch1:		%{name}-endian.patch
URL:		http://pcraster.geog.uu.nl/csfapi.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C API for reading and writing PCRaster maps.

%description -l pl
API C do odczytu i zapisu map PCRaster.

%package devel
Summary:	Header files for CSF library
Summary(pl):	Pliki nagwkowe biblioteki CSF
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for CSF library.

%description devel -l pl
Pliki nagwkowe biblioteki CSF.

%package static
Summary:	Static CSF library
Summary(pl):	Statyczna biblioteka CSF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CSF library.

%description static -l pl
Statyczna biblioteka CSF.

%prep
%setup -q -n %{name}-%{version}-%{snap} -a1
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%attr(755,root,root) %{_libdir}/libcsf.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc csfhtml/*
%attr(755,root,root) %{_libdir}/libcsf.so
%{_libdir}/libcsf.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libcsf.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcsf.spec,v $
Revision 1.2  2005/11/27 16:40:18  arekm
- fix endian detection; rel .2

Revision 1.1  2005/09/03 08:35:08  qboosh
- new
